View Issue Details

IDProjectCategoryView StatusLast Update
0002748unrealircdpublic2006-06-21 17:24
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformALLOSALLOS VersionALL
Product Version3.2.5 
Target VersionFixed in Version3.2.5 
Summary0002748: 3.2.5 Release
DescriptionThis is a parent item for todo items for Unreal3.2.5.

Please do not post comments, they will be deleted.

Note that usually several things on this list won't be done, and at the same time other things NOT on the list will still be done.

This list is only to give a rough idea about what is on TODO for 3.2.5
TagsNo tags attached.
3rd party modules

Relationships

parent of 0002365 resolvedsyzop /trace not usable by local opers 
parent of 0002233 resolvedsyzop Banned users can change the topic? 
parent of 0002722 resolvedsyzop Command type alias's tweak + semi-related bug fix 
parent of 0002741 closed listen *:port on IPv6 enabled UnrealIRCd only listens on INET6 
parent of 0002806 resolvedsyzop [internal] Unreal, or actually: c-ares, should not depend on C++ compiler 
parent of 0002565 resolvedsyzop SETHOST, cloaking, and VHP 
parent of 0002865 resolvedsyzop Hide stats requests 
parent of 0002853 resolvedsyzop RPL_MYPORTIS is at ircd startup spoofed to syslogd 
parent of 0002854 resolvedsyzop chroot compilation broken 
parent of 0002848 resolvedsyzop Unreal should support chained SSL certificates 
parent of 0002863 resolvedsyzop Weird buildin-IRCd time synching idea 
parent of 0002448 resolvedsyzop config.h IRC_UID and IRC_GID macros make no sense 
parent of 0002883 resolvedsyzop set::maxdccallow still allows 1 entrie if set to 0 (zero) 
parent of 0001642 closed SETHOST does not propogate mode +xt 
parent of 0002894 resolvedsyzop Windows XP SP2 Pro : Wircd crashes. 
parent of 0002275 resolvedsyzop cloak algorithm feature request 
parent of 0002581 resolvedsyzop [BUG] operator count bug! 
parent of 0002941 resolvedsyzop Fails in Config when enable remote include 

Activities

syzop

2006-04-02 17:12

administrator   ~0011472

** now public **

codemastr

2006-06-04 13:24

reporter   ~0011841

Think it's too late in the game to update TRE to 0.7.3? It only has one bug fix and a few new features I added to it:
- Support for Perl style regex comments (?#this is comment text).*
- Support for ungreediness (makes ? ungreedy and ?? greedy, the reverse of th normal situation)

The bug fix deals with the use of \E

codemastr

2006-06-04 13:29

reporter   ~0011842

Hah, actually, now that I looked, TRE 0.7.4 is already out :) It fixes some portability problems that might be important and a bunch of other bugs so it might be worth it...

syzop

2006-06-04 17:12

administrator   ~0011847

Hmhm :p

Is always a tough call, but I don't think I'm going to do it seeing TRE's track record... It sometimes introduces grave bugs in a new release, so I would rather stay with our known (possibly half-buggy) version than to upgrade now, seeing we are already 1 week in testing/rc stage :p.

codemastr

2006-06-04 20:19

reporter   ~0011848

Alright, makes sense, 3.2.6 it is then.

Issue History

Date Modified Username Field Change
2006-01-16 15:41 syzop New Issue
2006-01-16 15:42 syzop Relationship added parent of 0002345
2006-01-16 15:42 syzop Relationship added parent of 0002734
2006-01-16 15:48 syzop Relationship added parent of 0002365
2006-01-16 16:15 syzop Relationship added parent of 0002233
2006-01-16 16:15 syzop Relationship added parent of 0002722
2006-01-22 08:43 syzop Sticky Issue No => Yes
2006-01-22 08:43 syzop Relationship added parent of 0002741
2006-02-07 13:03 syzop Relationship added parent of 0002806
2006-04-02 16:48 syzop Relationship deleted parent of 0002345
2006-04-02 16:48 syzop Relationship added parent of 0002565
2006-04-02 16:48 syzop Relationship added parent of 0002865
2006-04-02 16:48 syzop Relationship added parent of 0002853
2006-04-02 16:49 syzop Relationship added parent of 0002854
2006-04-02 16:50 syzop Relationship added parent of 0002848
2006-04-02 16:51 syzop Relationship added parent of 0002863
2006-04-02 16:55 syzop Relationship added parent of 0002833
2006-04-02 17:11 syzop Assigned To => syzop
2006-04-02 17:11 syzop Status new => assigned
2006-04-02 17:11 syzop Product Version 3.2 => 3.2.5
2006-04-02 17:11 syzop Description Updated
2006-04-02 17:12 syzop View Status private => public
2006-04-02 17:12 syzop Note Added: 0011472
2006-04-16 18:47 syzop Relationship added parent of 0002448
2006-04-16 18:48 syzop Relationship added parent of 0002883
2006-04-23 08:07 syzop Relationship added parent of 0001642
2006-04-27 18:28 syzop Relationship deleted parent of 0002734
2006-04-27 18:30 syzop Relationship deleted parent of 0002833
2006-04-27 18:35 syzop Relationship added parent of 0002894
2006-04-27 19:23 syzop Relationship added parent of 0002275
2006-05-18 17:14 syzop Relationship added parent of 0002581
2006-05-31 15:58 syzop Relationship added parent of 0002938
2006-06-03 06:49 syzop Relationship added parent of 0002941
2006-06-04 13:24 codemastr Note Added: 0011841
2006-06-04 13:29 codemastr Note Added: 0011842
2006-06-04 17:12 syzop Note Added: 0011847
2006-06-04 20:19 codemastr Note Added: 0011848
2006-06-07 07:19 syzop Relationship deleted parent of 0002938
2006-06-21 17:24 syzop Status assigned => closed
2006-06-21 17:24 syzop Resolution open => fixed
2006-06-21 17:24 syzop Fixed in Version => 3.2.5